org.apache.cayenne.event

## Class XMPPBridgeFactory

- java.lang.Object
- - org.apache.cayenne.event.XMPPBridgeFactory

- All Implemented Interfaces:
    EventBridgeFactory

      public class XMPPBridgeFactory
      extends Object
      implements EventBridgeFactory

  A factory of XMPPBridge. Note that to deploy an XMPPBridge, you need to have smack.jar library in the runtime.
  Since:
    1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMPP_CHAT_SERVICE_PROPERTY` An optional property, "conference" is used as default chat service.
    `static String` | `XMPP_HOST_PROPERTY`
    `static String` | `XMPP_LOGIN_PROPERTY`
    `static String` | `XMPP_PASSWORD_PROPERTY`
    `static String` | `XMPP_PORT_PROPERTY` An optional property, port 5222 is used as default XMPP port.
    `static String` | `XMPP_SECURE_CONNECTION_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPPBridgeFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventBridge` | `createEventBridge(Collection<EventSubject> localSubjects, String externalSubject, Map<String,Object> properties)` Creates an EventBridge with the specified parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XMPP_HOST_PROPERTY

          public static final String XMPP_HOST_PROPERTY

      See Also:
        Constant Field Values

    - #### XMPP_PORT_PROPERTY

          public static final String XMPP_PORT_PROPERTY

      An optional property, port 5222 is used as default XMPP port.
      See Also:
        Constant Field Values

    - #### XMPP_CHAT_SERVICE_PROPERTY

          public static final String XMPP_CHAT_SERVICE_PROPERTY

      An optional property, "conference" is used as default chat service.
      See Also:
        Constant Field Values

    - #### XMPP_SECURE_CONNECTION_PROPERTY

          public static final String XMPP_SECURE_CONNECTION_PROPERTY

      See Also:
        Constant Field Values

    - #### XMPP_LOGIN_PROPERTY

          public static final String XMPP_LOGIN_PROPERTY

      See Also:
        Constant Field Values

    - #### XMPP_PASSWORD_PROPERTY

          public static final String XMPP_PASSWORD_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMPPBridgeFactory

          public XMPPBridgeFactory()

  - ### Method Detail

    - #### createEventBridge

          public EventBridge createEventBridge(Collection<EventSubject> localSubjects,
                                               String externalSubject,
                                               Map<String,Object> properties)

      Description copied from interface: `EventBridgeFactory`
      Creates an EventBridge with the specified parameters.
      Specified by:
        `createEventBridge` in interface `EventBridgeFactory`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.